import { LitElement } from "lit";
export declare class FwThumbnailOverlay extends LitElement {
    thumbnailUrl: string | null;
    message: string | null;
    showUnmuteMessage: boolean;
    onPlay?: () => void;
    className: string;
    static styles: import("lit").CSSResult[];
    private _handlePlay;
    private _handleKeyDown;
    protected render(): import("lit").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "fw-thumbnail-overlay": FwThumbnailOverlay;
    }
}
